Package SimPy :: Module SimPlot :: Class GraphLine

[hide private]
[frames] | no frames]

# Class GraphLine

source code

    GraphPoints --+
                  |
                 GraphLine

Instance Methods | [hide private]

__init__(self, points, **attr) | source code

draw(self, canvas) | source code

Inherited from `GraphPoints`: `boundingBox`, `fitToScale`

Class Variables | [hide private]

| _attributes = ``{``'``color``'``:` `'``black``'``,` `'``smooth``'``:` 0`,` `'``splinesteps``'``:` 1`...``

Method Details | [hide private]

### __init__(self, points, **attr)
(Constructor)

source code

Overrides: GraphPoints.__init__

Class Variable Details | [hide private]

### _attributes

Value:

      {'color': 'black', 'smooth': 0, 'splinesteps': 12, 'width': 1}